<?php
function pase_input($msg)
{
	global $_CFG;
	if($_CFG['insert_no_follow'] == '1'){
		$rel = 'rel="nofollow"';
	}
		
	// Converts special characters to HTML entities
	$msg = htmlspecialchars($msg);
	// Inserts HTML line breaks before all newlines
	$msg = nl2br($msg);
			
	// [b]
	$msg = preg_replace("#\[b\](.+?)\[/b\]#is", '<strong>\\1</strong>', $msg);
	// [i]
	$msg = preg_replace("#\[i\](.+?)\[/i\]#is", '<em>\\1</em>', $msg);
	// [u]
	$msg = preg_replace("#\[u\](.+?)\[/u\]#is", '<u>\\1</u>', $msg);
	// [s]
	$msg = preg_replace("#\[s\](.+?)\[/s\]#is", '<strike>\\1</strike>', $msg);
	// [sub]
	$msg = preg_replace("#\[sub\](.+?)\[/sub\]#is", '<sub>\\1</sub>', $msg);
	// [sup]
	$msg = preg_replace("#\[sup\](.+?)\[/sup\]#is", '<sup>\\1</sup>', $msg);
	// [url]
	$msg = preg_replace("#\[url\](.+?)\[/url\]#is", '<a href="\\1" title="\\1" '.$rel.'>\\1</a>', $msg);
	// [url=]
	$msg = preg_replace("#\[url=(.+?)\](.+?)\[/url\]#is", '<a href="\\1" title="\\2" '.$rel.'>\\2</a>', $msg);
	// [email]
	$msg = preg_replace("#\[email\](.+?)\[/email\]#is", '<a href="mailto:\\1">\\1</a>', $msg);
	// [img]
	$msg = preg_replace("#\[img\](.+?)\[/img\]#is", '<img src="\\1" alt="" />', $msg);
	// [img=]
	$msg = preg_replace("#\[img=(.+?)\]#is", '<img src="\\1" alt="" />', $msg);
	// [quote]
	$msg = preg_replace("#\[quote\](.+?)\[/quote\]#is",
	'<div class="quoteheader" style="padding: 3px; width: 95%; margin: auto;"><strong>QUOTE</strong></div>
	<div class="quotebody" style="border: 1px solid #000; padding: 3px; width: 95%; margin: auto;">\\1</div>',
	$msg);
	// [quote=]
	$msg = preg_replace("#\[quote=(.+?)\](.+?)\[/quote\]#is",
	'<div class="quoteheader" style="padding: 3px; width: 95%; margin: auto;"><strong>QUOTE</strong> (\\1)</div>
	<div class="quotebody" style="border: 1px solid #000; padding: 3px; width: 95%; margin: auto;">\\2</div>',
	$msg);
	// [code]
	$msg = preg_replace("#\[code\](.+?)\[/code\]#is",
	'<div class="codeheader" style="padding: 3px; width: 95%; margin: auto;"><strong>CODE</strong></div>
	<div class="codebody" style="border: 1px solid #000; padding: 3px; width: 95%; margin: auto; "><tt>\\1</tt></div>',
	$msg);
	// [color=]
	$msg = preg_replace("#\[color=(.+?)\](.+?)\[/color\]#is", '<span style="color: \\1;">\\2</span>', $msg);
	// [size=]
	$msg = preg_replace("#\[size=(.+?)\](.+?)\[/size\]#is", '<span style="font-size: \\1px;">\\2</span>', $msg);
	// [font=]
	$msg = preg_replace("#\[font=(.+?)\](.+?)\[/font\]#is", '<span style="font-family: \'\\1\';">\\2</span>', $msg);
	// "Magic Links" matching "http://"
	$msg = preg_replace("#(^|[\n ])([\w]+?://[\w\#\$%&~/.\-=;:,?@\[\]+]*)#is", '<a href="\\0" title="\\0" '.$rel.'>\\0</a>', $msg);
	// "Magic Links" matching "www." or "ftp."
	$msg = preg_replace("#(^|[\n ])((www|ftp)\.[\w\#\$%&~/.\-=;:,?@\[\]+]*)#is", '<a href="http://\\0" title="\\0" '.$rel.'>\\0</a>', $msg);
	// "Magic Links" matching "x@y.z"
	$msg = preg_replace("#(^|[\n ])([A-Za-z0-9&\-._]+?)@([\w\-]+\.([\w-\.]+\.)*[\w]+)#is", '<a href="mailto:\\2@\\3">\\2@\\3</a>', $msg);

	return $msg;
}
?>