CREATE TABLE `bts_cats` (
  `catid` int(10) unsigned NOT NULL auto_increment,
  `name` text NOT NULL,
  `parent` int(10) unsigned NOT NULL default '0',
  `order` int(2) NOT NULL default '0',
  PRIMARY KEY  (`catid`)
)|
CREATE TABLE `bts_language` (
  `lid` int(3) NOT NULL auto_increment,
  `lname` varchar(255) NOT NULL default '',
  `path` varchar(255) NOT NULL default '',
  `deafault` int(1) NOT NULL default '0',
  PRIMARY KEY  (`lid`),
  UNIQUE KEY `lname` (`lname`)
)|

CREATE TABLE `bts_log` (
  `lid` int(10) unsigned NOT NULL auto_increment,
  `data` text NOT NULL,
  `stamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`lid`)
)|

CREATE TABLE `bts_news` (
  `pid` int(10) NOT NULL auto_increment,
  `header` text NOT NULL,
  `body` text NOT NULL,
  `stamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `poster` text NOT NULL,
  PRIMARY KEY  (`pid`)
)|

CREATE TABLE `bts_settings` (
  `sid` int(3) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `value` text NOT NULL,
  `type` varchar(30) NOT NULL default 'text',
  `info` varchar(255) default NULL,
  `core` char(1) NOT NULL default '0',
  `options` text NOT NULL,
  `bend` char(1) NOT NULL default '0',
  PRIMARY KEY  (`sid`),
  UNIQUE KEY `name` (`name`)
)|

CREATE TABLE `bts_shoutbox` (
  `id` int(5) NOT NULL auto_increment,
  `msg` text NOT NULL,
  `time` varchar(255) NOT NULL default '',
  `uid` int(5) NOT NULL default '0',
  PRIMARY KEY  (`id`)
)|

CREATE TABLE `bts_tcomments` (
  `id` int(4) NOT NULL auto_increment,
  `text` text NOT NULL,
  `poster` int(4) NOT NULL default '0',
  `date` varchar(50) NOT NULL default '',
  `ip` varchar(50) NOT NULL default '127.0.0.1',
  `tid` int(4) NOT NULL default '0',
  `nid` int(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
)|

CREATE TABLE `bts_torrents` (
  `torrentid` int(10) unsigned NOT NULL auto_increment,
  `fid` int(4) default NULL,
  `name` text NOT NULL,
  `filename` varchar(255) NOT NULL default '',
  `announce` text NOT NULL,
  `catid` int(11) NOT NULL default '0',
  `subcat` int(10) unsigned NOT NULL default '0',
  `files` text NOT NULL,
  `info` text NOT NULL,
  `filesize` FLOAT NOT NULL default '0',
  `info_hash` blob NOT NULL,
  `info_hash2` text NOT NULL,
  `description` text NOT NULL,
  `submitter` text NOT NULL,
  `ip` varchar(15) NOT NULL default '',
  `submit_date` varchar(255) NOT NULL default '00',
  `moderator` int(11) NOT NULL default '0',
  `viewed` int(11) NOT NULL default '0',
  `downloaded` int(11) NOT NULL default '0',
  `votes` int(11) NOT NULL default '0',
  `score` int(11) NOT NULL default '0',
  `hidden` char(1) NOT NULL default '0',
  `dead` char(1) NOT NULL default '0',
  `dtime` varchar(255) default NULL,
  PRIMARY KEY  (`torrentid`)
)|

CREATE TABLE `bts_upgrade_history` (
  `action` varchar(255) default NULL,
  `to` varchar(255) default NULL,
  `from` varchar(255) default NULL,
  `date` varchar(255) default NULL
);|

CREATE TABLE `bts_usergroups` (
  `gid` int(3) NOT NULL auto_increment,
  `class` varchar(255) NOT NULL default 'guest',
  `openhtml` varchar(255) NOT NULL default '',
  `closehtml` varchar(255) NOT NULL default '',
  `can_upload` int(1) NOT NULL default '0',
  `admin_access` int(11) NOT NULL default '0',
  `can_comment` char(1) NOT NULL default '0',
  `can_view_torrent` char(1) NOT NULL default '0',
  `can_moderate` char(1) NOT NULL default '0',
  `can_delete` char(1) NOT NULL default '0',
  `buypass_moderation` char(1) NOT NULL default '0',
  `bypass_ratio` char(1) NOT NULL default '0',
  `can_download` char(1) NOT NULL default '0',
  `can_search` char(1) NOT NULL default '1',
  `can_view_shoutbox` char(1) NOT NULL default '0',
  `can_shout` char(1) NOT NULL default '0',
  `bypass_offline` char(1) NOT NULL default '0',
  PRIMARY KEY  (`gid`)
)|

CREATE TABLE `bts_users` (
  `uid` int(10) unsigned NOT NULL auto_increment,
  `username` text NOT NULL,
  `password` text NOT NULL,
  `key` varchar(32) NOT NULL default '',
  `email` text NOT NULL,
  `class` int(5) NOT NULL default '0',
  `reg_date` varchar(255) NOT NULL default '0',
  `ip` varchar(255) NOT NULL default '',
  `custom_title` varchar(255) NOT NULL default '',
  `avatar` text NOT NULL,
  `ccount` varchar(20) NOT NULL default '0',
  `fcount` varchar(20) NOT NULL default '0',
  `lang` int(3) NOT NULL default '0',
  `last_seen` varchar(255) default NULL,
  `last_seen_where` varchar(255) default NULL,
  PRIMARY KEY  (`uid`)
)|

CREATE TABLE `bts_votes` (
  `vid` int(4) NOT NULL auto_increment,
  `uid` int(3) NOT NULL default '0',
  `tid` int(3) NOT NULL default '0',
  PRIMARY KEY  (`vid`)
)|
INSERT INTO bts_cats VALUES (1, 'Applications', 0, 1)|
INSERT INTO bts_cats VALUES (2, 'Games', 0, 2)|
INSERT INTO bts_cats VALUES (3, 'Music', 0, 3)|
INSERT INTO bts_cats VALUES (4, 'Movies', 0, 4)|
INSERT INTO bts_cats VALUES (5, 'Anime', 0, 5)|
INSERT INTO bts_cats VALUES (6, 'Misc.', 0, 6)|
INSERT INTO bts_cats VALUES (8, 'other', 3, 0)|
INSERT INTO bts_cats VALUES (11, 'other', 1, 1)|
INSERT INTO bts_cats VALUES (12, 'other', 2, 1)|
INSERT INTO bts_cats VALUES (13, 'other', 4, 1)|
INSERT INTO bts_cats VALUES (14, 'other', 5, 1)|
INSERT INTO bts_cats VALUES (15, 'other', 6, 1)|
INSERT INTO bts_upgrade_history VALUES ('New Install', '0.4.2 BETA', 'n/a', %time%)|
INSERT INTO bts_language VALUES (1, 'English', 'en', 1)|
INSERT INTO bts_news VALUES (1, 'Congratulations!', 'You have successfully installed BTsource.\r<br>\r<br>DONT FORGET to edit the sites settings in the ACP,\r<br>just click on the settings link to the right (once you''ve logged in) and setup your site.\r<br>\r<br>Thankyou for beta testing BTsource', '2005-09-17 04:09:00', '')|
INSERT INTO bts_settings VALUES (1, 'news_items', '1', 'text', 'Select how many news items to display in the home page...', '1', '', '0')|
INSERT INTO bts_settings VALUES (2, 'upload_path', '/home/btsource/public_html/torrents', 'text', 'Enter the ABSULUTE path to you torrents folder, NO trailing /', '1', '', '0')|
INSERT INTO bts_settings VALUES (6, 'email_from', 'no_reply@btsource.org', 'text', 'Enter the address emails from the site should be sent from', '1', '', '0')|
INSERT INTO bts_settings VALUES (7, 'email_from_name', 'BTSource', 'text', 'Enter the NAME you want appearing in thr from line of emails from the site', '1', '', '0')|
INSERT INTO bts_settings VALUES (8, 'trackerannounce', 'http://btsource.org:2710/announce', 'text', 'Enter the full url to your xbtt''s tracker announce', '1', '', '0')|
INSERT INTO bts_settings VALUES (9, 'trackername', 'BTSource Tracker 1', 'text', 'Enter the name of your tracker (this option is for later use when we support mulitpull xbtt''s)', '1', '', '0')|
INSERT INTO bts_settings VALUES (10, 'self_moderation', '0', 'option', 'If enabled newly uploaded torrents will only be seen by moderators (thoughs who have access to the modcp) and can then be aproved from there, you have the option of allowing set groups to bypass this moderation process', '1', '', '0')|
INSERT INTO bts_settings VALUES (11, 'boardname', 'BTsource', 'text', 'Enter the Name of your site (this will also appear in the &lt;title&gt; portion of the site)', '1', '', '0')|
INSERT INTO bts_settings VALUES (13, 'max_list_torrents', '50', 'text', 'Enter how many torrents to display in the torrent lists.', '1', '', '0')|
INSERT INTO bts_settings VALUES (18, 'enable_comment', '1', 'option', 'This option will enable/disable user posting comments in the torrent section', '1', '', '0')|
INSERT INTO bts_settings VALUES (19, 'enable_rss', '1', 'option', 'This option will turn on or off the rss script', '1', '', '0')|
INSERT INTO bts_settings VALUES (20, 'rss_download', '0', 'option', 'If set to yes the rss feed''s <link> tabs will point to direct to the download.php script, if set to no it will point to the details page', '1', '', '0')|
INSERT INTO bts_settings VALUES (22, 'torrents_in_home', '1', 'option', 'If set to no then the torrents will NOT be displayed in the home page.', '1', '', '0')|
INSERT INTO bts_settings VALUES (24, 'mod_message', 'bah', 'area', 'This is the message that will display to the right of the intergrated mod cp, so use it to make sure your moderators are aware of any policys you have.', '1', '', '0')|
INSERT INTO bts_settings VALUES (25, 'use_subcats', '0', 'option', 'Set this to no if you dont want to use sub categorys for torrents', '1', '', '0')|
INSERT INTO bts_settings VALUES (26, 'monitor_ratio', '0', 'select', 'enable passkey baised ratio monitoring?', '1', 'Disabled_0,Members only_1,Members & Guests_2', '0')|
INSERT INTO bts_settings VALUES (23, 'torrent_namelen', '25', 'text', 'This option sets the max chars to be displayed in the torrenttable for the torrent names (prevents the table going over 2 lines)', '1', '', '0')|
INSERT INTO bts_settings VALUES (27, 'deafault_lang_path', 'en', 'text', NULL, '1', '', '0')|
INSERT INTO bts_settings VALUES (28, 'insert_no_follow', '1', 'option', 'Inable googles rel="nofollow" in user-submitted links (prevents comment spam)', '1', '', '0')|
INSERT INTO bts_settings VALUES (29, 'log_last_action', '1', 'option', 'This will log the last time and action of an online member (or guest) NOTE this WILL add an extra db query', '1', '', '0')|
INSERT INTO bts_settings VALUES (30, 'enable_online_user', '1', 'option', 'You MUST have ''log_last_action'' set to YES, this WILL add 2 more querys to the index page.', '1', '', '0')|
INSERT INTO bts_settings VALUES (31, 'admin_message', 'meh', 'text', NULL, '1', '', '1')|
INSERT INTO bts_settings VALUES (32, 'register_validation', '1', 'option', 'If this is set to yes it will REQUIRE email validation of new accounts', '1', '', '0')|
INSERT INTO bts_settings VALUES (33, 'enable_shoutbox', '2', 'select', 'This option controls the shoutbox location, remember to set usergroup permissions', '1', 'Disable_0, Enable In Header_1, Enable In Footer_2', '0')|
INSERT INTO bts_settings VALUES (34, 'clean_last_run', '1128015638', 'text', 'Info Text...', '1', '', '1')|
INSERT INTO bts_settings VALUES (35, 'Online', '0', 'option', 'This option turns your site online or offline <b>Note the tracker itself is NOT affected</b>', '1', '', '0')|
INSERT INTO bts_settings VALUES (36, 'offline_msg', 'Appoligies for the downtime, We will return ASAP', 'area', 'Enter the message you want to appear to members telling them that the site is offline', '1', '', '0')|
INSERT INTO bts_settings VALUES (37, 'enable_watetime', '0', 'option', 'Checking this option will mean your users will have to wate a specifyed time before they can download a torrent, this time (depending on their current ratio) is set in /libs/functions.lib.php, get_wate_time() function.', '1', '', '0')|
INSERT INTO bts_usergroups VALUES (1, 'Admin', '<b>', '</b>', 1, 1, '1', '1', '1', '1', '1', '1', '1', '1', '1', '1','1')|
INSERT INTO bts_usergroups VALUES (2, 'Moderator', '<b>', '</b>', 1, 0, '1', '1', '1', '1', '1', '1', '1', '1', '1', '1','0')|
INSERT INTO bts_usergroups VALUES (3, 'User', '<b>', '</b>', 1, 0, '1', '1', '0', '0', '0', '0', '1', '1', '1', '1','0')|
INSERT INTO bts_usergroups VALUES (4, 'Banned', '', '', 0, 0, '0', '0', '0', '0', '0', '0', '0', '0', '0', '0','0')|
INSERT INTO bts_usergroups VALUES (5, 'Pending', '', '', 0, 0, '0', '0', '0', '0', '0', '0', '0', '0', '0', '0','0')|
INSERT INTO bts_usergroups VALUES (6, 'Guest', '<b>', '<b>', 0, 0, '0', '1', '0', '0', '0', '0', '0', '1', '1', '0','0')

